package com.djhk.uav.equ.mapper;

import java.util.List;
import java.util.Map;

/**
 * 统计分析
 *
 * @author gzm
 * @since 1.0.0 2023-06-25
 */
public interface StatMapper
{


    public List<Map> getStatForDept(Long deptID);

    public List<Map> getUserTotal(Long deptID);

    public List<Map> getEquInfo(Long deptID);

    public List<Map> getOtherTotal(Long deptID);

    public List<Map> getFlightTotal(Long deptID);

    public List<Map> getStatForType(String sqlStr);

    public List<Map> getStatForModel(String sqlStr);

    public List<Map> getStatForEqu(String sqlStr);

}
